SilverLight Runtime Problems

slite
Every time I try to run a SilverLight demo I am quite likely to run into the above error message. The 1.1 Silverlight runtime is rejected by most 1.0 Silverlight websites. This is strange as backward compatibility of runtimes is standard operating procedure – take a look at many ActiveX and all the Adobe Flash Players – in the latter case they go back 3-5 versions and are able to run very early Flash .swf files. If Microsoft had a great record in the Web space for backward compatibility, keeping its software fresh and up to standards – no problem. But unfortunately IE and even .NET say otherwise. Silverlight is already light on the browsers and OS desktop platforms it supports. And then this… why fubar such promising software?